Description: remove dependency to node-gyp-build
 Debian packages provide pre-build object, then no need to search for
 prebuild objects
Author: Xavier Guimard <yadd@debian.org>
Forwarded: not-needed
Last-Update: 2020-12-15

--- a/bufferutil/index.js
+++ b/bufferutil/index.js
@@ -1,7 +1,7 @@
 'use strict';
 
 try {
-  module.exports = require('node-gyp-build')(__dirname);
+  module.exports = require('./build/Release/bufferutil.node');
 } catch (e) {
   module.exports = require('./fallback');
 }
--- a/bufferutil/test/test.js
+++ b/bufferutil/test/test.js
@@ -44,5 +44,5 @@
   };
 }
 
-describe('bindings', use(require('node-gyp-build')(join(__dirname, '..'))));
+describe('bindings', use(require('../build/Release/bufferutil.node')));
 describe('fallback', use(require('../fallback')));
--- a/utf-8-validate/index.js
+++ b/utf-8-validate/index.js
@@ -1,7 +1,7 @@
 'use strict';
 
 try {
-  module.exports = require('node-gyp-build')(__dirname);
+  module.exports = require('./build/Release/validation.node');
 } catch (e) {
   module.exports = require('./fallback');
 }
--- a/utf-8-validate/test/test.js
+++ b/utf-8-validate/test/test.js
@@ -45,5 +45,5 @@
   };
 }
 
-describe('bindings', use(require('node-gyp-build')(join(__dirname, '..'))));
+describe('bindings', use(require('../build/Release/validation.node')));
 describe('fallback', use(require('../fallback')));
